/* WPS-Installationsroutine fr FlexPacket/2  */
/* Anlegen eines Ordners mit Programmobjekten */
/* auf dem WPS-Desktop fr Packet Radio.      */
/*  (C) 18.9.1993 Henning Stcklein DB5SH     */
/*                    Version: 3.11.1995      */

/* REXXUTIL laden */
CALL rxfuncadd sysloadfuncs, rexxutil, sysloadfuncs
CALL sysloadfuncs

'@ECHO OFF'

CALL SysCls
SAY
SAY '************************************************************'
SAY '* FPACINST.CMD: Anlegen von WPS-Objekten fr FlexPacket/2  *'
SAY '************************************************************'
SAY
SAY 'HINWEIS: Das Vorhandensein der Version OS/2 WARP wird fr das Anlegen'
SAY 'des animierten Ordnersymbols vorausgesetzt. Falls OS/2 2.x verwendet'
SAY 'wird, kann die Installation dennoch fortgesetzt werden.'
SAY

/* Abfrage, ob FlexPacket/2 wirklich installiert ist */
Path = Directory()
CALL SysFileTree Path'\FPAC.*', Datei, 'F'

IF Datei.0 < 3 THEN
DO
   SAY 'FlexPacket/2 ist im Verzeichnis <'Path'> noch nicht installiert.'
   SAY 'Bitte zuerst alle Dateien aus dem Archiv ins Zielverzeichnis kopieren !'
   EXIT
END

SAY 'FlexPacket/2-Dateien sind im Verzeichnis <'Path'> vorhanden.'
SAY 'Sollen hierzu jetzt die Unterverzeichnisse und WPS-Objekte'
SAY 'eingerichtet werden ?'
SAY
SAY 'Falls nicht, kann jetzt mit CTRL/C abgebrochen werden...'
PAUSE

/* Unterverzeichnisse erzeugen */
call SysMkDir(Path'\USERBMP')
call SysMkDir(Path'\AUTOBIN')
call SysMkDir(Path'\7PLUS')
call SysMkDir(Path'\REMOTE')
call SysMkDir(Path'\MAILS')

/* Den Ordner anlegen */
Klasse='WPFolder'
Titel='FlexPacket fr OS/2'
Ort='<WP_DESKTOP>'
Param='OBJECTID=<FPAC_ORDNER>;ICONFILE='Path'\ANTENNE.ICO;ICONNFILE=1,'Path'\ANTENNE2.ICO'
CALL CreateObject

/* Die Programmobjekte anlegen */
Klasse='WPProgram'
Titel='FlexPacket/2^(Deutsch)'
Ort='<FPAC_ORDNER>'
Param='PROGTYPE=PM;EXENAME='Path'\FPAC.EXE;PARAMETERS=/N049;ICONFILE='Path'\FPAC.ICO;STARTUPDIR='Path';'
CALL CreateObject

Klasse='WPProgram'
Titel='FlexPacket/2^(English)'
Ort='<FPAC_ORDNER>'
Param='PROGTYPE=PM;EXENAME='Path'\FPAC.EXE;PARAMETERS=/N850;ICONFILE='Path'\FPAC.ICO;STARTUPDIR='Path';'
CALL CreateObject

Klasse='WPProgram'
Titel='FlexPacket/2^(lautlos)'
Ort='<FPAC_ORDNER>'
Param='PROGTYPE=PM;EXENAME='Path'\FPAC.EXE;PARAMETERS=/QUIET /N049;ICONFILE='Path'\FPAC_Q.ICO;STARTUPDIR='Path';'
CALL CreateObject

Klasse='WPProgram'
Titel='FlexPacket/2^(silent)'
Ort='<FPAC_ORDNER>'
Param='PROGTYPE=PM;EXENAME='Path'\FPAC.EXE;PARAMETERS=/QUIET /N850;ICONFILE='Path'\FPAC_Q.ICO;STARTUPDIR='Path';'
CALL CreateObject

Klasse='WPProgram'
Titel='FlexSpy/2'
Ort='<FPAC_ORDNER>'
Param='PROGTYPE=VIO;EXENAME='Path'\FSPY.EXE;PARAMETERS=[FROM TO LOGFILE];ICONFILE='Path'\FSPY.ICO;STARTUPDIR='Path';'
CALL CreateObject

Klasse='WPShadow'
Titel='USERBMP'
Ort='<FPAC_ORDNER>'
Param='SHADOWID='Path'\USERBMP;ICONFILE='Path'\USERBMP.ICO;'
CALL CreateObject

Klasse='WPShadow'
Titel='REMOTE'
Ort='<FPAC_ORDNER>'
Param='SHADOWID='Path'\REMOTE;ICONFILE='Path'\REMOTE.ICO;'
CALL CreateObject

Klasse='WPShadow'
Titel='AUTOBIN'
Ort='<FPAC_ORDNER>'
Param='SHADOWID='Path'\AUTOBIN;ICONFILE='Path'\AUTOBIN.ICO;'
CALL CreateObject

Klasse='WPShadow'
Titel='7PLUS'
Ort='<FPAC_ORDNER>'
Param='SHADOWID='Path'\7PLUS;ICONFILE='Path'\7PLUS.ICO;'
CALL CreateObject

Klasse='WPShadow'
Titel='MAILS'
Ort='<FPAC_ORDNER>'
Param='SHADOWID='Path'\MAILS;ICONFILE='Path'\MAILS.ICO;'
CALL CreateObject

Klasse='WPShadow'
Titel='Connect-Liste'
Ort='<FPAC_ORDNER>'
Param='SHADOWID='Path'\FPAC.CON;'
CALL CreateObject

Klasse='WPShadow'
Titel='Rufzeichen-Liste'
Ort='<FPAC_ORDNER>'
Param='SHADOWID='Path'\FPAC.USR;'
CALL CreateObject

Klasse='WPShadow'
Titel='TNC-Reset'
Ort='<FPAC_ORDNER>'
Param='SHADOWID='Path'\TNC.EXI;'
CALL CreateObject

Klasse='WPShadow'
Titel='TNC-Setup'
Ort='<FPAC_ORDNER>'
Param='SHADOWID='Path'\TNC.INI;'
CALL CreateObject

Klasse='WPShadow'
Titel='Kurzinfo'
Ort='<FPAC_ORDNER>'
Param='SHADOWID='Path'\FPAC.1ST;'
CALL CreateObject

Klasse='WPShadow'
Titel='Mailbox-Filter'
Ort='<FPAC_ORDNER>'
Param='SHADOWID='Path'\FPAC.BOX;'
CALL CreateObject

Klasse='WPShadow'
Titel='Connect-Text'
Ort='<FPAC_ORDNER>'
Param='SHADOWID='Path'\FPAC.CTX;'
CALL CreateObject

Klasse='WPShadow'
Titel='Readme'
Ort='<FPAC_ORDNER>'
Param='SHADOWID='Path'\READ.ME;'
CALL CreateObject

Klasse='WPProgram'
Titel='Referenzhandbuch'
Ort='<FPAC_ORDNER>'
Param='PROGTYPE=PM;EXENAME=VIEW.EXE;PARAMETERS=FPAC;ICONFILE='Path'\BUCH.ICO;STARTUPDIR='Path';'
CALL CreateObject

SAY
SAY 'Der Ordner und die Programmsymbole sind jetzt angelegt.'
EXIT

/* Unterprogramm: Objekt anlegen */
CreateObject:
SAY 'Es wird das Objekt 'Titel' angelegt.'
result = SysCreateObject(Klasse, Titel, Ort, Param)

if result = 1 THEN
  SAY 'Ok.'
ELSE
  SAY 'Fehler !'
RETURN

/* Ende von FPACINST.CMD */
